/********************* SniipSoftel *****************
 *
 *   $Author: Serg_ch $
 *   $Revision: 8 $
 *   $Date: 2.08.07 20:52 $
 *
 ********************* SniipSoftel *****************/
using System;
using System.ComponentModel.Design;

namespace Softel.Windows.Forms.CuteGridColumns
{
	public class CuteColumnStylesCollectionEditor : CollectionEditor
	{
		/// <summary>    <see cref="CuteSoftelGrid"/></summary>
		/// <param name="type"> </param>
		public CuteColumnStylesCollectionEditor(Type type) : base(type)
		{
		}

		/// <summary>  </summary>
		protected override Type[] CreateNewItemTypes()
		{
			return new Type[]
				{
					typeof (CuteGridLabelColumn),
					typeof (CuteGridTextBoxColumn),
					typeof (CuteGridBoolColumn),
					typeof (CuteGridDateTimeColumn),
					typeof (CuteGridComboBoxColumn)
				};
		}

	}
}
/********************* SniipSoftel *****************
 *
 *    $History: CuteColumnStylesCollectionEditor.cs $
 *   
 *   *****************  Version 8  *****************
 *   User: Serg_ch      Date: 2.08.07    Time: 20:52
 *   Updated in $/Net/Common/ClientControl/CuteSoftelGrid/CuteGridColumns
 *   
 *   *****************  Version 6  *****************
 *   User: Autobuild    Date: 19.12.06   Time: 23:18
 *   Updated in $/Net/Common/SoftelControl/CuteSoftelGrid/CuteGridColumns
 *
 ********************* SniipSoftel *****************/
