/********************* SniipSoftel *****************
 *
 *   $Author: Panfilov $
 *   $Revision: 6 $
 *   $Date: 27.06.07 16:31 $
 *
 ********************* SniipSoftel *****************/
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Softel.MiddleTier.Client;

namespace Softel.Application.ClientsForm
{
	/// <summary>
	/// Summary description for Search.
	/// </summary>
	public class Search : System.Windows.Forms.Form
	{

		private DataTable m_dtSearchParams;
		private DataTable m_dtResultFields;
		private DataTable  m_dtResults;
		private System.Windows.Forms.Button bOk;
		private System.Windows.Forms.Button bCancel;
		private Softel.Windows.Forms.RadioGroupBox m_rgbParams;
		private System.Windows.Forms.Button m_btnSearch;
		private System.Windows.Forms.TextBox m_txtSearch;
		private System.Windows.Forms.Splitter m_splVert;
		private System.Windows.Forms.Panel m_pnlBottom;
		private Softel.Windows.Forms.CuteSoftelGrid m_grdResults;
		private System.Windows.Forms.CheckBox m_chkAll;
		private Softel.Windows.Forms.RadioGroupBox m_rgbSearchTypes;
		private Softel.Windows.Forms.CuteTableStyles.CuteGridTableStylesCollection m_tsResult;
		private System.Windows.Forms.Panel m_pnlParameter;
		private System.Windows.Forms.GroupBox m_grbSearch;
		private System.Windows.Forms.Panel m_pnlSearch;
		private System.Windows.Forms.Panel m_pnlResult;
		private System.Windows.Forms.GroupBox m_gbResult;
		private Hashtable m_hshTableSearchTypes;
		int m_iSearchType;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Search()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}
		public Search(int iSearchType)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			m_iSearchType = iSearchType;

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Search));
			this.m_pnlParameter = new System.Windows.Forms.Panel();
			this.m_rgbParams = new Softel.Windows.Forms.RadioGroupBox();
			this.m_grbSearch = new System.Windows.Forms.GroupBox();
			this.m_btnSearch = new System.Windows.Forms.Button();
			this.m_txtSearch = new System.Windows.Forms.TextBox();
			this.m_chkAll = new System.Windows.Forms.CheckBox();
			this.m_splVert = new System.Windows.Forms.Splitter();
			this.m_pnlSearch = new System.Windows.Forms.Panel();
			this.m_rgbSearchTypes = new Softel.Windows.Forms.RadioGroupBox();
			this.m_pnlResult = new System.Windows.Forms.Panel();
			this.m_gbResult = new System.Windows.Forms.GroupBox();
			this.m_grdResults = new Softel.Windows.Forms.CuteSoftelGrid();
			this.m_tsResult = new Softel.Windows.Forms.CuteTableStyles.CuteGridTableStylesCollection();
			this.m_pnlBottom = new System.Windows.Forms.Panel();
			this.bOk = new System.Windows.Forms.Button();
			this.bCancel = new System.Windows.Forms.Button();
			this.m_pnlParameter.SuspendLayout();
			this.m_grbSearch.SuspendLayout();
			this.m_pnlSearch.SuspendLayout();
			this.m_pnlResult.SuspendLayout();
			this.m_gbResult.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.m_grdResults)).BeginInit();
			this.m_pnlBottom.SuspendLayout();
			this.SuspendLayout();
			// 
			// m_pnlParameter
			// 
			this.m_pnlParameter.AccessibleDescription = resources.GetString("m_pnlParameter.AccessibleDescription");
			this.m_pnlParameter.AccessibleName = resources.GetString("m_pnlParameter.AccessibleName");
			this.m_pnlParameter.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_pnlParameter.Anchor")));
			this.m_pnlParameter.AutoScroll = ((bool)(resources.GetObject("m_pnlParameter.AutoScroll")));
			this.m_pnlParameter.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("m_pnlParameter.AutoScrollMargin")));
			this.m_pnlParameter.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("m_pnlParameter.AutoScrollMinSize")));
			this.m_pnlParameter.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_pnlParameter.BackgroundImage")));
			this.m_pnlParameter.Controls.Add(this.m_rgbParams);
			this.m_pnlParameter.Controls.Add(this.m_grbSearch);
			this.m_pnlParameter.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_pnlParameter.Dock")));
			this.m_pnlParameter.Enabled = ((bool)(resources.GetObject("m_pnlParameter.Enabled")));
			this.m_pnlParameter.Font = ((System.Drawing.Font)(resources.GetObject("m_pnlParameter.Font")));
			this.m_pnlParameter.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_pnlParameter.ImeMode")));
			this.m_pnlParameter.Location = ((System.Drawing.Point)(resources.GetObject("m_pnlParameter.Location")));
			this.m_pnlParameter.Name = "m_pnlParameter";
			this.m_pnlParameter.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_pnlParameter.RightToLeft")));
			this.m_pnlParameter.Size = ((System.Drawing.Size)(resources.GetObject("m_pnlParameter.Size")));
			this.m_pnlParameter.TabIndex = ((int)(resources.GetObject("m_pnlParameter.TabIndex")));
			this.m_pnlParameter.Text = resources.GetString("m_pnlParameter.Text");
			this.m_pnlParameter.Visible = ((bool)(resources.GetObject("m_pnlParameter.Visible")));
			// 
			// m_rgbParams
			// 
			this.m_rgbParams.AccessibleDescription = resources.GetString("m_rgbParams.AccessibleDescription");
			this.m_rgbParams.AccessibleName = resources.GetString("m_rgbParams.AccessibleName");
			this.m_rgbParams.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_rgbParams.Anchor")));
			this.m_rgbParams.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_rgbParams.BackgroundImage")));
			this.m_rgbParams.CheckedItemIndex = -1;
			this.m_rgbParams.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_rgbParams.Dock")));
			this.m_rgbParams.Enabled = ((bool)(resources.GetObject("m_rgbParams.Enabled")));
			this.m_rgbParams.Font = ((System.Drawing.Font)(resources.GetObject("m_rgbParams.Font")));
			this.m_rgbParams.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_rgbParams.ImeMode")));
			this.m_rgbParams.Location = ((System.Drawing.Point)(resources.GetObject("m_rgbParams.Location")));
			this.m_rgbParams.Name = "m_rgbParams";
			this.m_rgbParams.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_rgbParams.RightToLeft")));
			this.m_rgbParams.Size = ((System.Drawing.Size)(resources.GetObject("m_rgbParams.Size")));
			this.m_rgbParams.TabIndex = ((int)(resources.GetObject("m_rgbParams.TabIndex")));
			this.m_rgbParams.TabStop = false;
			this.m_rgbParams.Text = resources.GetString("m_rgbParams.Text");
			this.m_rgbParams.Visible = ((bool)(resources.GetObject("m_rgbParams.Visible")));
			this.m_rgbParams.OnItemChecked += new Softel.Windows.Forms.RadioGroupBox.RadioButtonEvents(this.rgbParams_OnItemChecked);
			// 
			// m_grbSearch
			// 
			this.m_grbSearch.AccessibleDescription = resources.GetString("m_grbSearch.AccessibleDescription");
			this.m_grbSearch.AccessibleName = resources.GetString("m_grbSearch.AccessibleName");
			this.m_grbSearch.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_grbSearch.Anchor")));
			this.m_grbSearch.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_grbSearch.BackgroundImage")));
			this.m_grbSearch.Controls.Add(this.m_btnSearch);
			this.m_grbSearch.Controls.Add(this.m_txtSearch);
			this.m_grbSearch.Controls.Add(this.m_chkAll);
			this.m_grbSearch.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_grbSearch.Dock")));
			this.m_grbSearch.Enabled = ((bool)(resources.GetObject("m_grbSearch.Enabled")));
			this.m_grbSearch.Font = ((System.Drawing.Font)(resources.GetObject("m_grbSearch.Font")));
			this.m_grbSearch.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_grbSearch.ImeMode")));
			this.m_grbSearch.Location = ((System.Drawing.Point)(resources.GetObject("m_grbSearch.Location")));
			this.m_grbSearch.Name = "m_grbSearch";
			this.m_grbSearch.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_grbSearch.RightToLeft")));
			this.m_grbSearch.Size = ((System.Drawing.Size)(resources.GetObject("m_grbSearch.Size")));
			this.m_grbSearch.TabIndex = ((int)(resources.GetObject("m_grbSearch.TabIndex")));
			this.m_grbSearch.TabStop = false;
			this.m_grbSearch.Text = resources.GetString("m_grbSearch.Text");
			this.m_grbSearch.Visible = ((bool)(resources.GetObject("m_grbSearch.Visible")));
			// 
			// m_btnSearch
			// 
			this.m_btnSearch.AccessibleDescription = resources.GetString("m_btnSearch.AccessibleDescription");
			this.m_btnSearch.AccessibleName = resources.GetString("m_btnSearch.AccessibleName");
			this.m_btnSearch.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_btnSearch.Anchor")));
			this.m_btnSearch.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_btnSearch.BackgroundImage")));
			this.m_btnSearch.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_btnSearch.Dock")));
			this.m_btnSearch.Enabled = ((bool)(resources.GetObject("m_btnSearch.Enabled")));
			this.m_btnSearch.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("m_btnSearch.FlatStyle")));
			this.m_btnSearch.Font = ((System.Drawing.Font)(resources.GetObject("m_btnSearch.Font")));
			this.m_btnSearch.Image = ((System.Drawing.Image)(resources.GetObject("m_btnSearch.Image")));
			this.m_btnSearch.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("m_btnSearch.ImageAlign")));
			this.m_btnSearch.ImageIndex = ((int)(resources.GetObject("m_btnSearch.ImageIndex")));
			this.m_btnSearch.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_btnSearch.ImeMode")));
			this.m_btnSearch.Location = ((System.Drawing.Point)(resources.GetObject("m_btnSearch.Location")));
			this.m_btnSearch.Name = "m_btnSearch";
			this.m_btnSearch.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_btnSearch.RightToLeft")));
			this.m_btnSearch.Size = ((System.Drawing.Size)(resources.GetObject("m_btnSearch.Size")));
			this.m_btnSearch.TabIndex = ((int)(resources.GetObject("m_btnSearch.TabIndex")));
			this.m_btnSearch.Text = resources.GetString("m_btnSearch.Text");
			this.m_btnSearch.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("m_btnSearch.TextAlign")));
			this.m_btnSearch.Visible = ((bool)(resources.GetObject("m_btnSearch.Visible")));
			this.m_btnSearch.Click += new System.EventHandler(this.bSearch_Click);
			// 
			// m_txtSearch
			// 
			this.m_txtSearch.AccessibleDescription = resources.GetString("m_txtSearch.AccessibleDescription");
			this.m_txtSearch.AccessibleName = resources.GetString("m_txtSearch.AccessibleName");
			this.m_txtSearch.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_txtSearch.Anchor")));
			this.m_txtSearch.AutoSize = ((bool)(resources.GetObject("m_txtSearch.AutoSize")));
			this.m_txtSearch.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_txtSearch.BackgroundImage")));
			this.m_txtSearch.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_txtSearch.Dock")));
			this.m_txtSearch.Enabled = ((bool)(resources.GetObject("m_txtSearch.Enabled")));
			this.m_txtSearch.Font = ((System.Drawing.Font)(resources.GetObject("m_txtSearch.Font")));
			this.m_txtSearch.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_txtSearch.ImeMode")));
			this.m_txtSearch.Location = ((System.Drawing.Point)(resources.GetObject("m_txtSearch.Location")));
			this.m_txtSearch.MaxLength = ((int)(resources.GetObject("m_txtSearch.MaxLength")));
			this.m_txtSearch.Multiline = ((bool)(resources.GetObject("m_txtSearch.Multiline")));
			this.m_txtSearch.Name = "m_txtSearch";
			this.m_txtSearch.PasswordChar = ((char)(resources.GetObject("m_txtSearch.PasswordChar")));
			this.m_txtSearch.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_txtSearch.RightToLeft")));
			this.m_txtSearch.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("m_txtSearch.ScrollBars")));
			this.m_txtSearch.Size = ((System.Drawing.Size)(resources.GetObject("m_txtSearch.Size")));
			this.m_txtSearch.TabIndex = ((int)(resources.GetObject("m_txtSearch.TabIndex")));
			this.m_txtSearch.Text = resources.GetString("m_txtSearch.Text");
			this.m_txtSearch.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("m_txtSearch.TextAlign")));
			this.m_txtSearch.Visible = ((bool)(resources.GetObject("m_txtSearch.Visible")));
			this.m_txtSearch.WordWrap = ((bool)(resources.GetObject("m_txtSearch.WordWrap")));
			this.m_txtSearch.KeyDown += new System.Windows.Forms.KeyEventHandler(this.edSearch_KeyDown);
			// 
			// m_chkAll
			// 
			this.m_chkAll.AccessibleDescription = resources.GetString("m_chkAll.AccessibleDescription");
			this.m_chkAll.AccessibleName = resources.GetString("m_chkAll.AccessibleName");
			this.m_chkAll.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_chkAll.Anchor")));
			this.m_chkAll.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("m_chkAll.Appearance")));
			this.m_chkAll.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_chkAll.BackgroundImage")));
			this.m_chkAll.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("m_chkAll.CheckAlign")));
			this.m_chkAll.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_chkAll.Dock")));
			this.m_chkAll.Enabled = ((bool)(resources.GetObject("m_chkAll.Enabled")));
			this.m_chkAll.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("m_chkAll.FlatStyle")));
			this.m_chkAll.Font = ((System.Drawing.Font)(resources.GetObject("m_chkAll.Font")));
			this.m_chkAll.Image = ((System.Drawing.Image)(resources.GetObject("m_chkAll.Image")));
			this.m_chkAll.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("m_chkAll.ImageAlign")));
			this.m_chkAll.ImageIndex = ((int)(resources.GetObject("m_chkAll.ImageIndex")));
			this.m_chkAll.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_chkAll.ImeMode")));
			this.m_chkAll.Location = ((System.Drawing.Point)(resources.GetObject("m_chkAll.Location")));
			this.m_chkAll.Name = "m_chkAll";
			this.m_chkAll.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_chkAll.RightToLeft")));
			this.m_chkAll.Size = ((System.Drawing.Size)(resources.GetObject("m_chkAll.Size")));
			this.m_chkAll.TabIndex = ((int)(resources.GetObject("m_chkAll.TabIndex")));
			this.m_chkAll.Text = resources.GetString("m_chkAll.Text");
			this.m_chkAll.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("m_chkAll.TextAlign")));
			this.m_chkAll.Visible = ((bool)(resources.GetObject("m_chkAll.Visible")));
			// 
			// m_splVert
			// 
			this.m_splVert.AccessibleDescription = resources.GetString("m_splVert.AccessibleDescription");
			this.m_splVert.AccessibleName = resources.GetString("m_splVert.AccessibleName");
			this.m_splVert.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_splVert.Anchor")));
			this.m_splVert.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_splVert.BackgroundImage")));
			this.m_splVert.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_splVert.Dock")));
			this.m_splVert.Enabled = ((bool)(resources.GetObject("m_splVert.Enabled")));
			this.m_splVert.Font = ((System.Drawing.Font)(resources.GetObject("m_splVert.Font")));
			this.m_splVert.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_splVert.ImeMode")));
			this.m_splVert.Location = ((System.Drawing.Point)(resources.GetObject("m_splVert.Location")));
			this.m_splVert.MinExtra = ((int)(resources.GetObject("m_splVert.MinExtra")));
			this.m_splVert.MinSize = ((int)(resources.GetObject("m_splVert.MinSize")));
			this.m_splVert.Name = "m_splVert";
			this.m_splVert.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_splVert.RightToLeft")));
			this.m_splVert.Size = ((System.Drawing.Size)(resources.GetObject("m_splVert.Size")));
			this.m_splVert.TabIndex = ((int)(resources.GetObject("m_splVert.TabIndex")));
			this.m_splVert.TabStop = false;
			this.m_splVert.Visible = ((bool)(resources.GetObject("m_splVert.Visible")));
			// 
			// m_pnlSearch
			// 
			this.m_pnlSearch.AccessibleDescription = resources.GetString("m_pnlSearch.AccessibleDescription");
			this.m_pnlSearch.AccessibleName = resources.GetString("m_pnlSearch.AccessibleName");
			this.m_pnlSearch.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_pnlSearch.Anchor")));
			this.m_pnlSearch.AutoScroll = ((bool)(resources.GetObject("m_pnlSearch.AutoScroll")));
			this.m_pnlSearch.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("m_pnlSearch.AutoScrollMargin")));
			this.m_pnlSearch.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("m_pnlSearch.AutoScrollMinSize")));
			this.m_pnlSearch.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_pnlSearch.BackgroundImage")));
			this.m_pnlSearch.Controls.Add(this.m_rgbSearchTypes);
			this.m_pnlSearch.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_pnlSearch.Dock")));
			this.m_pnlSearch.Enabled = ((bool)(resources.GetObject("m_pnlSearch.Enabled")));
			this.m_pnlSearch.Font = ((System.Drawing.Font)(resources.GetObject("m_pnlSearch.Font")));
			this.m_pnlSearch.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_pnlSearch.ImeMode")));
			this.m_pnlSearch.Location = ((System.Drawing.Point)(resources.GetObject("m_pnlSearch.Location")));
			this.m_pnlSearch.Name = "m_pnlSearch";
			this.m_pnlSearch.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_pnlSearch.RightToLeft")));
			this.m_pnlSearch.Size = ((System.Drawing.Size)(resources.GetObject("m_pnlSearch.Size")));
			this.m_pnlSearch.TabIndex = ((int)(resources.GetObject("m_pnlSearch.TabIndex")));
			this.m_pnlSearch.Text = resources.GetString("m_pnlSearch.Text");
			this.m_pnlSearch.Visible = ((bool)(resources.GetObject("m_pnlSearch.Visible")));
			// 
			// m_rgbSearchTypes
			// 
			this.m_rgbSearchTypes.AccessibleDescription = resources.GetString("m_rgbSearchTypes.AccessibleDescription");
			this.m_rgbSearchTypes.AccessibleName = resources.GetString("m_rgbSearchTypes.AccessibleName");
			this.m_rgbSearchTypes.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_rgbSearchTypes.Anchor")));
			this.m_rgbSearchTypes.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_rgbSearchTypes.BackgroundImage")));
			this.m_rgbSearchTypes.CheckedItemIndex = 0;
			this.m_rgbSearchTypes.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_rgbSearchTypes.Dock")));
			this.m_rgbSearchTypes.Enabled = ((bool)(resources.GetObject("m_rgbSearchTypes.Enabled")));
			this.m_rgbSearchTypes.Font = ((System.Drawing.Font)(resources.GetObject("m_rgbSearchTypes.Font")));
			this.m_rgbSearchTypes.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_rgbSearchTypes.ImeMode")));
			this.m_rgbSearchTypes.Location = ((System.Drawing.Point)(resources.GetObject("m_rgbSearchTypes.Location")));
			this.m_rgbSearchTypes.Name = "m_rgbSearchTypes";
			this.m_rgbSearchTypes.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_rgbSearchTypes.RightToLeft")));
			this.m_rgbSearchTypes.Size = ((System.Drawing.Size)(resources.GetObject("m_rgbSearchTypes.Size")));
			this.m_rgbSearchTypes.TabIndex = ((int)(resources.GetObject("m_rgbSearchTypes.TabIndex")));
			this.m_rgbSearchTypes.TabStop = false;
			this.m_rgbSearchTypes.Text = resources.GetString("m_rgbSearchTypes.Text");
			this.m_rgbSearchTypes.Visible = ((bool)(resources.GetObject("m_rgbSearchTypes.Visible")));
			this.m_rgbSearchTypes.OnItemChecked += new Softel.Windows.Forms.RadioGroupBox.RadioButtonEvents(this.rgbSearchTypes_OnItemChecked);
			// 
			// m_pnlResult
			// 
			this.m_pnlResult.AccessibleDescription = resources.GetString("m_pnlResult.AccessibleDescription");
			this.m_pnlResult.AccessibleName = resources.GetString("m_pnlResult.AccessibleName");
			this.m_pnlResult.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_pnlResult.Anchor")));
			this.m_pnlResult.AutoScroll = ((bool)(resources.GetObject("m_pnlResult.AutoScroll")));
			this.m_pnlResult.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("m_pnlResult.AutoScrollMargin")));
			this.m_pnlResult.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("m_pnlResult.AutoScrollMinSize")));
			this.m_pnlResult.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_pnlResult.BackgroundImage")));
			this.m_pnlResult.Controls.Add(this.m_gbResult);
			this.m_pnlResult.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_pnlResult.Dock")));
			this.m_pnlResult.Enabled = ((bool)(resources.GetObject("m_pnlResult.Enabled")));
			this.m_pnlResult.Font = ((System.Drawing.Font)(resources.GetObject("m_pnlResult.Font")));
			this.m_pnlResult.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_pnlResult.ImeMode")));
			this.m_pnlResult.Location = ((System.Drawing.Point)(resources.GetObject("m_pnlResult.Location")));
			this.m_pnlResult.Name = "m_pnlResult";
			this.m_pnlResult.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_pnlResult.RightToLeft")));
			this.m_pnlResult.Size = ((System.Drawing.Size)(resources.GetObject("m_pnlResult.Size")));
			this.m_pnlResult.TabIndex = ((int)(resources.GetObject("m_pnlResult.TabIndex")));
			this.m_pnlResult.Text = resources.GetString("m_pnlResult.Text");
			this.m_pnlResult.Visible = ((bool)(resources.GetObject("m_pnlResult.Visible")));
			// 
			// m_gbResult
			// 
			this.m_gbResult.AccessibleDescription = resources.GetString("m_gbResult.AccessibleDescription");
			this.m_gbResult.AccessibleName = resources.GetString("m_gbResult.AccessibleName");
			this.m_gbResult.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_gbResult.Anchor")));
			this.m_gbResult.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_gbResult.BackgroundImage")));
			this.m_gbResult.Controls.Add(this.m_grdResults);
			this.m_gbResult.Controls.Add(this.m_pnlBottom);
			this.m_gbResult.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_gbResult.Dock")));
			this.m_gbResult.Enabled = ((bool)(resources.GetObject("m_gbResult.Enabled")));
			this.m_gbResult.Font = ((System.Drawing.Font)(resources.GetObject("m_gbResult.Font")));
			this.m_gbResult.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_gbResult.ImeMode")));
			this.m_gbResult.Location = ((System.Drawing.Point)(resources.GetObject("m_gbResult.Location")));
			this.m_gbResult.Name = "m_gbResult";
			this.m_gbResult.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_gbResult.RightToLeft")));
			this.m_gbResult.Size = ((System.Drawing.Size)(resources.GetObject("m_gbResult.Size")));
			this.m_gbResult.TabIndex = ((int)(resources.GetObject("m_gbResult.TabIndex")));
			this.m_gbResult.TabStop = false;
			this.m_gbResult.Text = resources.GetString("m_gbResult.Text");
			this.m_gbResult.Visible = ((bool)(resources.GetObject("m_gbResult.Visible")));
			// 
			// m_grdResults
			// 
			this.m_grdResults.AccessibleDescription = resources.GetString("m_grdResults.AccessibleDescription");
			this.m_grdResults.AccessibleName = resources.GetString("m_grdResults.AccessibleName");
			this.m_grdResults.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_grdResults.Anchor")));
			this.m_grdResults.BackgroundColor = System.Drawing.SystemColors.ControlLightLight;
			this.m_grdResults.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_grdResults.BackgroundImage")));
			this.m_grdResults.CaptionBackColor = System.Drawing.Color.Gainsboro;
			this.m_grdResults.CaptionFont = ((System.Drawing.Font)(resources.GetObject("m_grdResults.CaptionFont")));
			this.m_grdResults.CaptionForeColor = System.Drawing.Color.Black;
			this.m_grdResults.CaptionText = resources.GetString("m_grdResults.CaptionText");
			this.m_grdResults.CaptionVisible = false;
			this.m_grdResults.DataMember = "";
			this.m_grdResults.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_grdResults.Dock")));
			this.m_grdResults.Enabled = ((bool)(resources.GetObject("m_grdResults.Enabled")));
			this.m_grdResults.Font = ((System.Drawing.Font)(resources.GetObject("m_grdResults.Font")));
			this.m_grdResults.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.m_grdResults.HighlightRow = true;
			this.m_grdResults.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_grdResults.ImeMode")));
			this.m_grdResults.Location = ((System.Drawing.Point)(resources.GetObject("m_grdResults.Location")));
			this.m_grdResults.Name = "m_grdResults";
			this.m_grdResults.ReadOnly = true;
			this.m_grdResults.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_grdResults.RightToLeft")));
			this.m_grdResults.Size = ((System.Drawing.Size)(resources.GetObject("m_grdResults.Size")));
			this.m_grdResults.TabIndex = ((int)(resources.GetObject("m_grdResults.TabIndex")));
			this.m_grdResults.TableStyles.AddRange(new System.Windows.Forms.DataGridTableStyle[] {
																									 this.m_tsResult});
			this.m_grdResults.Visible = ((bool)(resources.GetObject("m_grdResults.Visible")));
			// 
			// m_tsResult
			// 
			this.m_tsResult.DataGrid = this.m_grdResults;
			this.m_tsResult.HeaderFont = ((System.Drawing.Font)(resources.GetObject("m_tsResult.HeaderFont")));
			this.m_tsResult.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.m_tsResult.MappingName = "Table";
			this.m_tsResult.PreferredColumnWidth = ((int)(resources.GetObject("m_tsResult.PreferredColumnWidth")));
			this.m_tsResult.PreferredRowHeight = ((int)(resources.GetObject("m_tsResult.PreferredRowHeight")));
			this.m_tsResult.RowHeaderWidth = ((int)(resources.GetObject("m_tsResult.RowHeaderWidth")));
			// 
			// m_pnlBottom
			// 
			this.m_pnlBottom.AccessibleDescription = resources.GetString("m_pnlBottom.AccessibleDescription");
			this.m_pnlBottom.AccessibleName = resources.GetString("m_pnlBottom.AccessibleName");
			this.m_pnlBottom.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("m_pnlBottom.Anchor")));
			this.m_pnlBottom.AutoScroll = ((bool)(resources.GetObject("m_pnlBottom.AutoScroll")));
			this.m_pnlBottom.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("m_pnlBottom.AutoScrollMargin")));
			this.m_pnlBottom.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("m_pnlBottom.AutoScrollMinSize")));
			this.m_pnlBottom.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("m_pnlBottom.BackgroundImage")));
			this.m_pnlBottom.Controls.Add(this.bOk);
			this.m_pnlBottom.Controls.Add(this.bCancel);
			this.m_pnlBottom.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("m_pnlBottom.Dock")));
			this.m_pnlBottom.Enabled = ((bool)(resources.GetObject("m_pnlBottom.Enabled")));
			this.m_pnlBottom.Font = ((System.Drawing.Font)(resources.GetObject("m_pnlBottom.Font")));
			this.m_pnlBottom.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("m_pnlBottom.ImeMode")));
			this.m_pnlBottom.Location = ((System.Drawing.Point)(resources.GetObject("m_pnlBottom.Location")));
			this.m_pnlBottom.Name = "m_pnlBottom";
			this.m_pnlBottom.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("m_pnlBottom.RightToLeft")));
			this.m_pnlBottom.Size = ((System.Drawing.Size)(resources.GetObject("m_pnlBottom.Size")));
			this.m_pnlBottom.TabIndex = ((int)(resources.GetObject("m_pnlBottom.TabIndex")));
			this.m_pnlBottom.Text = resources.GetString("m_pnlBottom.Text");
			this.m_pnlBottom.Visible = ((bool)(resources.GetObject("m_pnlBottom.Visible")));
			// 
			// bOk
			// 
			this.bOk.AccessibleDescription = resources.GetString("bOk.AccessibleDescription");
			this.bOk.AccessibleName = resources.GetString("bOk.AccessibleName");
			this.bOk.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("bOk.Anchor")));
			this.bOk.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("bOk.BackgroundImage")));
			this.bOk.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.bOk.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("bOk.Dock")));
			this.bOk.Enabled = ((bool)(resources.GetObject("bOk.Enabled")));
			this.bOk.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("bOk.FlatStyle")));
			this.bOk.Font = ((System.Drawing.Font)(resources.GetObject("bOk.Font")));
			this.bOk.Image = ((System.Drawing.Image)(resources.GetObject("bOk.Image")));
			this.bOk.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("bOk.ImageAlign")));
			this.bOk.ImageIndex = ((int)(resources.GetObject("bOk.ImageIndex")));
			this.bOk.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("bOk.ImeMode")));
			this.bOk.Location = ((System.Drawing.Point)(resources.GetObject("bOk.Location")));
			this.bOk.Name = "bOk";
			this.bOk.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("bOk.RightToLeft")));
			this.bOk.Size = ((System.Drawing.Size)(resources.GetObject("bOk.Size")));
			this.bOk.TabIndex = ((int)(resources.GetObject("bOk.TabIndex")));
			this.bOk.Text = resources.GetString("bOk.Text");
			this.bOk.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("bOk.TextAlign")));
			this.bOk.Visible = ((bool)(resources.GetObject("bOk.Visible")));
			// 
			// bCancel
			// 
			this.bCancel.AccessibleDescription = resources.GetString("bCancel.AccessibleDescription");
			this.bCancel.AccessibleName = resources.GetString("bCancel.AccessibleName");
			this.bCancel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("bCancel.Anchor")));
			this.bCancel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("bCancel.BackgroundImage")));
			this.bCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.bCancel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("bCancel.Dock")));
			this.bCancel.Enabled = ((bool)(resources.GetObject("bCancel.Enabled")));
			this.bCancel.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("bCancel.FlatStyle")));
			this.bCancel.Font = ((System.Drawing.Font)(resources.GetObject("bCancel.Font")));
			this.bCancel.Image = ((System.Drawing.Image)(resources.GetObject("bCancel.Image")));
			this.bCancel.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("bCancel.ImageAlign")));
			this.bCancel.ImageIndex = ((int)(resources.GetObject("bCancel.ImageIndex")));
			this.bCancel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("bCancel.ImeMode")));
			this.bCancel.Location = ((System.Drawing.Point)(resources.GetObject("bCancel.Location")));
			this.bCancel.Name = "bCancel";
			this.bCancel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("bCancel.RightToLeft")));
			this.bCancel.Size = ((System.Drawing.Size)(resources.GetObject("bCancel.Size")));
			this.bCancel.TabIndex = ((int)(resources.GetObject("bCancel.TabIndex")));
			this.bCancel.Text = resources.GetString("bCancel.Text");
			this.bCancel.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("bCancel.TextAlign")));
			this.bCancel.Visible = ((bool)(resources.GetObject("bCancel.Visible")));
			// 
			// Search
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.m_pnlResult);
			this.Controls.Add(this.m_splVert);
			this.Controls.Add(this.m_pnlParameter);
			this.Controls.Add(this.m_pnlSearch);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "Search";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.Load += new System.EventHandler(this.Search_Load);
			this.m_pnlParameter.ResumeLayout(false);
			this.m_grbSearch.ResumeLayout(false);
			this.m_pnlSearch.ResumeLayout(false);
			this.m_pnlResult.ResumeLayout(false);
			this.m_gbResult.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.m_grdResults)).EndInit();
			this.m_pnlBottom.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void GetSearchParams(int iSearchTypeId)
		{
			RadioButton rbt;
			m_rgbParams.Items.Clear();
			Command cmdGetSearchParams = new Command();
			cmdGetSearchParams.CommandName = "ClnGetSearchParams";
			int iSearchType = Convert.ToInt32(m_hshTableSearchTypes[iSearchTypeId]);
			cmdGetSearchParams.InputParams["@search_type_id"] = iSearchType;
			cmdGetSearchParams.Execute(true);
			m_dtSearchParams = cmdGetSearchParams.DataSet.Tables[0];

			foreach(DataRow dr in m_dtSearchParams.Rows)
			{
				rbt = new RadioButton();
				rbt.Text = dr["search_param_desk"].ToString();
				rbt.Tag = dr;				
				rbt.Height = 20;
				m_rgbParams.Items.Add(rbt);
				rbt.Width = 180;
				
				

			}
			m_rgbParams.UpdateRadioButtons();
			if (m_rgbParams.Items.Count != 0)
			{
				rbt = m_rgbParams.Items[m_rgbParams.Items.Count - 1];
				m_rgbParams.Height = rbt.Top + rbt.Height + 2;
			}

			Command cmdGetSearchResultFields = new Command();
			cmdGetSearchResultFields.CommandName = "ClnGetSearchResultFields";
			cmdGetSearchResultFields.InputParams["@search_type_id"] = iSearchType;
			cmdGetSearchResultFields.Execute(true);
			m_dtResultFields = cmdGetSearchResultFields.DataSet.Tables[0];
		}

		private void GetSearchTypes()
		{
			m_hshTableSearchTypes = new Hashtable();
			RadioButton rbt;
			m_rgbSearchTypes.Items.Clear();
			Command cmdGetSearchParams = new Command();
			cmdGetSearchParams.CommandName = "DirGetSearchTypes";
			cmdGetSearchParams.InputParams["@target"] = m_iSearchType;
			cmdGetSearchParams.Execute(true);
			DataTable dtSearchTypes = cmdGetSearchParams.DataSet.Tables[0];

			for(int i =0; i<  dtSearchTypes.Rows.Count;i++)
			{
				DataRow dr = dtSearchTypes.Rows[i];
				rbt = new RadioButton();
				rbt.Text = dr["desk"].ToString();
				rbt.Tag = dr;				
				rbt.Height = 20;
				m_rgbSearchTypes.Items.Add(rbt);
				rbt.Width = 180;
				m_hshTableSearchTypes.Add(i, dr["search_type_id"]);
				

			}
			m_rgbSearchTypes.UpdateRadioButtons();
			if (m_rgbSearchTypes.Items.Count != 0)
			{
				rbt = m_rgbSearchTypes.Items[m_rgbSearchTypes.Items.Count - 1];
				m_rgbSearchTypes.Height = rbt.Top + rbt.Height + 2;
				m_rgbSearchTypes.Items[0].Checked = true;
			}

			
		}
		private void WhatParamsToShow()
		{
			int iIndex = m_rgbSearchTypes.CheckedItemIndex;
			
			
			GetSearchParams(iIndex);
				
			
		}

		private void Search_Load(object sender, System.EventArgs e)
		{
			GetSearchTypes();
			WhatParamsToShow();
			m_rgbSearchTypes.UpdateRadioButtons();
			this.Text="";
		}

		private void rgbSearchTypes_OnItemChecked(System.Windows.Forms.RadioButton item)
		{
			
			WhatParamsToShow();
			//    
			CreateResultFields();
		}

		private void rgbParams_OnItemChecked(System.Windows.Forms.RadioButton item)
		{
			//    
			CreateResultFields();
		}

		private void CreateResultFields()
		{
			m_tsResult.GridColumnStyles.Clear();
			if (m_dtResults != null)
				m_dtResults.Clear();
			m_dtResults = new DataTable();
			
			if (m_dtResultFields.Rows.Count != 0 && m_rgbParams.CheckedItemIndex != -1)
			{
				foreach (DataRow dr in m_dtResultFields.Rows)
				{		
					if(!m_tsResult.GridColumnStyles.Contains(dr["search_result_field"].ToString()))
					{

						DataGridColumnStyle dc = new DataGridTextBoxColumn();
						dc.ReadOnly = true;
						dc.MappingName = dr["search_result_field"].ToString();
						dc.HeaderText = dr["search_result_field_desk"].ToString();
					
						m_tsResult.GridColumnStyles.Add(dc);
					}
				}
			}

			m_grdResults.DataSource = m_dtResults;

		}

		private void SearchData()
		{
			if (m_rgbParams.CheckedItemIndex != -1 && m_txtSearch.Text.Trim() != "")
			{
				RadioButton rbt = m_rgbParams.CheckedItem;
				string strSearch = m_txtSearch.Text;
				int iAll = m_chkAll.Checked?1:0;
				SearchProc(rbt, strSearch, iAll);
			}
		}

		private void SearchProc(RadioButton rbt, string strSearch, int iAll)
		{
			DataRow dr = (DataRow)rbt.Tag;
			Command cmdProc = new Command();
			cmdProc.CommandName = dr["stored_proc_name"].ToString();
			cmdProc.InputParams["@param"] = strSearch;
			cmdProc.InputParams["@all"] = iAll;
			cmdProc.Execute(true);
			m_dtResults = cmdProc.DataSet.Tables[0];
			m_grdResults.DataSource = m_dtResults;
			
		}

		private void bSearch_Click(object sender, System.EventArgs e)
		{
			SearchData();
		}

		private void edSearch_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
		{
			if (e.KeyData == Keys.Enter)
				SearchData();
		}
		public DataRow Results
		{
			get{return m_grdResults.CurrentRow;}
			
		}
		public Softel.Windows.Forms.RadioGroupBox RGBSearchTypes
		{
		get{return m_rgbSearchTypes;}
		}

	}
}
/********************* SniipSoftel *****************
 *
 *    $History: Search.cs $
 *   
 *   *****************  Version 6  *****************
 *   User: Panfilov     Date: 27.06.07   Time: 16:31
 *   Updated in $/Net/Common/ClientControl/Search
 *   
 *   *****************  Version 4  *****************
 *   User: Autobuild    Date: 19.12.06   Time: 23:18
 *   Updated in $/Net/Common/SoftelControl/Search
 *
 ********************* SniipSoftel *****************/
